module Saper
  module Actions
    class Fetch < Action
      
      accepts :text, :returns => :document
      accepts :url, :returns => :document
      
      run do |runtime, input|
        begin
          runtime.browser.get(input)
        rescue SocketError
          raise(UnreachableURL, input)
        end
      end
      
    end
  end
end
