module Saper
  module Actions
    class GetAttribute < Action
      
      argument :text
      accepts :xml, :returns => :text
      accepts :html, :returns => :text
      
      run do |runtime, input, name|
        value = input[name]
        if value.nil?
          Items::Nothing.new 
        else
          Items::Text.new value
        end
      end
      
    end
  end
end
