module Saper
  module Actions
    class RunRecipeAndSave < Action
      
      argument :recipe
      argument :variable
      accepts :anything, :returns => Proc.new { |instance| instance.args.first.requires }
      
      run do |runtime, input, subrecipe, variable|
        result = subrecipe.run(input).to_saper
        runtime[variable] = result unless result.nil?
        input
      end
      
      # Overrides default logic
      def accepts?(type)
        args.first.accepts?(type)
      end
      
    end
  end
end
