module Saper
  module Arguments
    class Recipe < Argument
      
      # @todo
      def valid?(value)
        value.is_a?(Symbol) || value.is_a?(String) || value.is_a?(Numeric)
      end
      
      # @todo
      def normalize(value)
        if value.is_a?(Recipe)
          return value
        end
        if value.is_a?(Symbol)
          value = value.to_s
        end
        if value.is_a?(Numeric)
          value = value.to_s
        end
        unless value.is_a?(String)
          raise InvalidArgument
        end
        if action.nil?
          raise NamespaceMissing
        end
        if action.namespace.nil?
          raise NamespaceMissing
        end
        unless value = action.namespace[value]
          raise ActionNotFound
        end
        value
      end
      
      # @todo
      def serialize
        value.id
      end
      
      # @todo
      def to_string
        value.id.inspect
      end
           
    end
  end
end