module Saper
  module Items
    class Markdown < Item
      
      # @todo
      def self.new(item)
        super case item
        when HTML
          parse(item.to_s)
        else
          raise(InvalidItem, item)
        end
      end
      
      # @todo
      def self.parse(string)
        begin
          ::ReverseMarkdown.convert(string, unknown_tags: :drop).strip
        rescue
          raise(InvalidItem, string)
        end
      end
      
      # @todo
      def initialize(string)
        @string = string
      end
      
      # @todo
      def ==(other)
        to_s == other.to_s
      end
      
      # @todo
      def to_s
        to_native
      end
      
      # @todo
      def to_native
        @string
      end
      
    end
  end
end