module Saper
  module Items
    class Text < Item
      
      # @todo
      def self.new(item)
        super case item
        when String
          item
        when Text
          item.to_s
        else
          raise(InvalidItem, item)
        end
      end
      
      # @todo
      def initialize(string)
        @string = string
      end
      
      # @todo
      def ==(other)
        hash == other.hash
      end
      
      # @todo
      def hash
        to_s.hash
      end
      
      # @todo
      def empty?
        @string.empty?
      end
      
      # @todo
      def split(separator, number = -1)
        @string.split(separator, number)
      end
      
      # @todo
      def gsub(*args, &block)
        @string.gsub(*args, &block)
      end
      
      # @todo
      def to_xml
        XML.new(self)
      end
      
      # @todo
      def to_html
        HTML.new(self)
      end
      
      # @todo
      def to_json
        JSON.new(self)
      end
      
      # @todo
      def to_time(format, tz = nil)
        Time.new(self, format, tz)
      end
      
      # @todo
      def to_s
        to_native
      end
      
      # @todo
      def to_native
        @string
      end
      
    end
  end
end