require "net/http"
require "uri"

require_relative "tungsten/headers"
require_relative "tungsten/jar"
require_relative "tungsten/request"
require_relative "tungsten/response"

module Tungsten
  
  AGENTS = {
    :ie6      => 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)',
    :ie7      => 'Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)',
    :ie8      => 'Mozilla/5.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; .NET CLR 1.1.4322; .NET CLR 2.0.50727)',
    :ie9      => 'Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Trident/5.0)',
    :mozilla  => 'Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4b) Gecko/20030516 Mozilla Firebird/0.6',
    :safari   => 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/534.51.22 (KHTML, like Gecko) Version/5.1.1 Safari/534.51.22',
    :iphone   => 'Mozilla/5.0 (iPhone; U; CPU like Mac OS X; en) AppleWebKit/420+ (KHTML, like Gecko) Version/3.0 Mobile/1C28 Safari/419.3',
    :ipad     => 'Mozilla/5.0 (iPad; U; CPU OS 3_2 like Mac OS X; en-us) AppleWebKit/531.21.10 (KHTML, like Gecko) Version/4.0.4 Mobile/7B334b Safari/531.21.10',
    :android  => 'Mozilla/5.0 (Linux; U; Android 3.0; en-us; Xoom Build/HRI39) AppleWebKit/534.13 (KHTML, like Gecko) Version/4.0 Safari/534.13',
    :tungsten => 'Mozilla/5.0 (compatible; Tungsten Ruby client)'
  }
  
  def self.get(*args, &block)
    Request.new(:get, *args, &block).response
  end
  
  def self.post(*args, &block)
    Request.new(:get, *args, &block).response
  end
  
end

