# -*- encoding: utf-8 -*-
# stub: saper 0.5.3 ruby lib

Gem::Specification.new do |s|
  s.name = "saper".freeze
  s.version = "0.5.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alex Serebryakov".freeze]
  s.date = "2015-02-11"
  s.description = "Web automation library that allows to crawl websites and extract data in an efficient and fault-tolerant manner.".freeze
  s.email = "alex@merimond.com".freeze
  s.executables = ["saper".freeze]
  s.files = ["bin/saper".freeze]
  s.homepage = "https://github.com/merimond/saper".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Ruby data scraping library".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<mechanize>.freeze, ["~> 2.7.3"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.6.6"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 1.8.2"])
    s.add_runtime_dependency(%q<vremya>.freeze, ["~> 1.0.2"])
    s.add_runtime_dependency(%q<reverse_markdown>.freeze, ["~> 0.7.0"])
    s.add_runtime_dependency(%q<trollop>.freeze, ["~> 2.1.1"])
    s.add_runtime_dependency(%q<jpath>.freeze, ["~> 0.1.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.2.0"])
    s.add_development_dependency(%q<guard-rspec>.freeze, ["~> 4.5.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.4.2"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8.7"])
  else
    s.add_dependency(%q<mechanize>.freeze, ["~> 2.7.3"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.6.6"])
    s.add_dependency(%q<json>.freeze, ["~> 1.8.2"])
    s.add_dependency(%q<vremya>.freeze, ["~> 1.0.2"])
    s.add_dependency(%q<reverse_markdown>.freeze, ["~> 0.7.0"])
    s.add_dependency(%q<trollop>.freeze, ["~> 2.1.1"])
    s.add_dependency(%q<jpath>.freeze, ["~> 0.1.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.2.0"])
    s.add_dependency(%q<guard-rspec>.freeze, ["~> 4.5.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.4.2"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8.7"])
  end
end
