module Saper
  module Actions
    class ConvertToJSON < Action
      
      accepts :text, :returns => :json
      accepts :document, :returns => :json
      
      run do |runtime, input|
        begin
          input.to_json
        rescue Saper::InvalidItem
          nil
        end
      end
      
    end
  end
end
