module Saper
  module Actions
    class FetchWithToken < Action
      
      argument :url
      argument :service
      
      run do |runtime, input, url, service|
        begin
          runtime.browser.post_with_bearer_token(url, input.to_native.to_s, runtime.keychain.token(service))
        rescue SocketError
          raise(UnreachableURL, input)
        end
      end
      
    end
  end
end
