module Saper
  module Actions
    class RemoveMatching < Action
      
      argument :text
      accepts :text, :returns => :text
      
      run do |runtime, input, pattern|
        input.to_s =~ Regexp.new(pattern) ? Items::Nothing.new(:filtered => true) : input
      end
      
    end
  end
end
