module Saper
  module Actions
    class RunRecipe < Action
      
      argument :recipe
      accepts :anything, :returns => Proc.new { |instance| instance.args.first.requires }
      
      run do |runtime, input, subrecipe|
        subrecipe.run(input).to_saper
      end
      
      # Overrides default logic
      def accepts?(type)
        args.first.accepts?(type)
      end
      
      # Overrides default logic
      def multiple?
        args.first.multiple?
      end
      
    end
  end
end
