module Saper
  module Items
    class Atom < Item
      
      # @todo
      def self.new(item)
        super case item
        when Hash
          item
        else
          raise(InvalidItem, item)
        end
      end
      
      # @todo
      def initialize(hash)
        @atts = hash
      end
      
      # @todo
      def ==(other)
        to_hash == other
      end
      
      # @todo
      def to_hash
        @atts.dup
      end
      
      # @todo
      def [](name)
        @atts[name]
      end
      
      # @todo
      def serialize
        Hash[@atts.map { |key, value| [key, value.respond_to?(:serialize) ? value.serialize : value] }]
      end
      
      # @todo
      def to_native(object = nil)
        if object.nil?
          return to_native(to_hash)
        end
        if object.is_a?(Hash)
          return Hash[object.map { |key, value| [key, to_native(value)] }]
        end
        if object.is_a?(Array)
          return object.map { |key, value| to_native(value) }
        end
        if object.is_a?(Item)
          return object.to_native
        end
        object
      end
      
      # @todo
      def to_json
        JSON.new(@hash, true)
      end
      
      # @todo
      def to_s
        to_json
      end
      
    end
  end
end