module Saper
  module Items
    class Time < Item
      
      # @todo
      def self.new(item, format = nil, tz = nil)
        super case item
        when Text
          parse(item.to_s, format, tz)
        when String
          parse(item, format, tz)
        when Vremya
          item
        else
          raise(InvalidItem, item)
        end
      end
      
      # @todo
      def self.parse(string, format, tz = nil)
        begin
          ::Vremya.parse(string, format, tz)
        rescue
          raise(InvalidItem, string)
        end
      end
      
      # @todo
      def self.now(tz = nil)
        new ::Vremya.now(tz)
      end
      
      # @todo
      def initialize(vremya)
        @vremya = vremya
      end
      
      # @todo
      def ==(other)
        to_i == other.to_i
      end
      
      # @todo
      def to_s
        @vremya.iso8601
      end
      
      # @todo
      def to_native
        @vremya.to_time
      end
      
      # @todo
      def to_i
        to_native.to_i
      end
      
      # @todo
      def serialize
        @vremya.to_utc.to_time
      end
      
    end
  end
end