# -*- encoding: utf-8 -*-

# Monkey patching Nokogiri:
# - correctly handle &#151; character

module Nokogiri
  module HTML
    
    def self.parse(thing, url = nil, encoding = nil, options = XML::ParseOptions::DEFAULT_HTML, &block)
      Document.parse(thing.gsub("&#151;", "—"), url, encoding, options, &block)
    end
    
  end
end